com.saxonica.expr

## Class QueryLibraryImpl

- java.lang.Object
- - net.sf.saxon.query.QueryModule
  - - net.sf.saxon.query.QueryLibrary
    - - com.saxonica.expr.QueryLibraryImpl

- All Implemented Interfaces:
    StaticContext

      public class QueryLibraryImpl
      extends QueryLibrary

  Concrete implementation of a separately-compiled XQuery library

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueryLibraryImpl(StaticQueryContext sqc)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `link(QueryModule importer)` Link this library module to a module that imports it

    - ### Methods inherited from class net.sf.saxon.query.QueryModule

      `addImportedNamespace, addImportedSchema, bindUnboundFunctionCalls, bindUnboundVariables, bindVariable, checkForCircularities, checkImportedFunctionSignature, checkImportedType, checkURIForPrefix, declareActiveNamespace, declareFunction, declarePrologNamespace, declareVariable, explainGlobalFunctions, fixupGlobalFunctions, fixupGlobalVariables, getActiveNamespaceCodes, getAllImportedSchemata, getBaseURI, getCodeInjector, getCollation, getConfiguration, getConstructionMode, getDecimalFormatManager, getDefaultCollationName, getDefaultElementNamespace, getDefaultFunctionNamespace, getExecutable, getFeaturesProhibited, getFeaturesRequired, getFeaturesUsed, getFunctionLibrary, getGlobalFunctionLibrary, getGlobalStackFrameMap, getGlobalVariables, getImportedFunctionLibrary, getImportedSchemaNamespaces, getLanguageVersion, getLineNumber, getLocalFunctionLibrary, getLocationMap, getLocationURI, getModuleNamespace, getModuleVariables, getNamePool, getNamespaceResolver, getRequiredContextItemType, getRevalidationMode, getSystemId, getTopLevelModule, getURIForPrefix, getUserDefinedFunction, getUserQueryContext, getXPathLanguageLevel, importsNamespace, isAllowedBuiltInType, isEmptyLeast, isImportedSchema, isInBackwardsCompatibleMode, isInheritNamespaces, isMainModule, isPreserveBoundarySpace, isPreserveNamespaces, isSchemaAware, issueWarning, isTopLevelModule, isUpdating, lookForModuleCycles, makeEarlyEvaluationContext, makeQueryModule, mayImportModule, optimizeGlobalFunctions, reportFatalError, setBaseURI, setConstructionMode, setDefaultCollationName, setDefaultElementNamespace, setDefaultFunctionNamespace, setEmptyLeast, setExecutable, setInheritNamespaces, setIsMainModule, setLocationURI, setModuleNamespace, setPreserveBoundarySpace, setPreserveNamespaces, setRevalidationMode, setUpdating, typeCheckGlobalVariables, undeclareNamespace, useFeature`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QueryLibraryImpl

          public QueryLibraryImpl(StaticQueryContext sqc)
                           throws XPathException

      Throws:
        `XPathException`

  - ### Method Detail

    - #### link

          public void link(QueryModule importer)
                    throws XPathException

      Link this library module to a module that imports it
      Specified by:
        `link` in class `QueryLibrary`
      Parameters:
        `importer` - the importing module (a user of the library)
      Throws:
        `XPathException`

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.